# Role: systemd_journald

## Description

Installs and configures systemd-journald.

https://www.freedesktop.org/software/systemd/man/latest/systemd-journald.service.html

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.systemd_journald
  vars:
    ...
```

### Vars

`systemd_journald_audit`:

Enable auditing.

`systemd_journald_compress`:

Enable compression.

`systemd_journald_max_retention_sec`:

Retention time.

`systemd_journald_rate_limit_burst`:

Rate limit burst value.

`systemd_journald_rate_limit_interval_sec`:

Rate limit interval value.

`systemd_journald_system_keep_free`:

Disk space to keep free.

`systemd_journald_system_max_use`:

Max space to use.
